com.orsoncharts

## Class Chart3DChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - com.orsoncharts.Chart3DChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class Chart3DChangeEvent
      extends java.util.EventObject

  An event indicating some change in the attributes of a chart. Typically this indicates that the chart needs to be redrawn. Any object that implements the `Chart3DChangeListener` interface can register with a chart to receive change event notification.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chart3DChangeEvent(Chart3D chart)` Creates a new event.
    `Chart3DChangeEvent(java.lang.Object source, Chart3D chart)` Creates a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Chart3D` | `getChart()` Returns the chart that this event is associated with.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Chart3DChangeEvent

          public Chart3DChangeEvent(Chart3D chart)

      Creates a new event.
      Parameters:
        `chart` - the chart that is the source of the event (`null` not permitted).

    - #### Chart3DChangeEvent

          public Chart3DChangeEvent(java.lang.Object source,
                                    Chart3D chart)

      Creates a new event.
      Parameters:
        `source` - the source.
        `chart` - the chart that is the source of the event (`null` not permitted).

  - ### Method Detail

    - #### getChart

          public Chart3D getChart()

      Returns the chart that this event is associated with.
      Returns:
        The chart (never `null`).